%define name	parted
%define	version	1.8.2
%define release %mkrel 3
%define major   1.8
%define major_  2
%define libname %mklibname %{name}%{major}_ %{major_}

Summary:	Flexible partitioning tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Hardware
BuildRequires:	gpm-devel ncurses-devel e2fsprogs-devel
BuildRequires: 	automake1.8
URL:		http://www.gnu.org/software/parted/
Source0:	http://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.bz2

Patch100:	parted-1.7.0-disksunraid.patch.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	e2fsprogs-devel readline-devel device-mapper-devel gettext-devel

%package -n	%{libname}
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs
Obsoletes: %{mklibname %name 1.7} = %version

%package -n	%{libname}-devel
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs %{libname} = %{version}
Provides:       libparted-devel parted-devel
Obsoletes:      parted-devel

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n	%{libname}
This package includes the dynamic libraries

%description -n	%{libname}-devel
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q

%patch100 -p1 -b .disksunraid

%build
%configure2_5x --disable-Werror --enable-device-mapper

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,755)
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%defattr(-,root,root,755)
%doc TODO
%{_libdir}/lib%{name}-%{major}.so.%{major_}*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/aclocal/parted.m4


%changelog
* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.8.2-3mdv2007.0
+ Revision: 113680
- fix libname and ensure it is correct

* Thu Jan 25 2007 Pixel <pixel@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 113408
- new release, 1.8.2

* Thu Dec 14 2006 Pixel <pixel@mandriva.com> 1.8.1-1mdv2007.1
+ Revision: 97094
- patch no-selinux no more needed
- new release, 1.8.1
- patch

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.8.0-1mdv2007.1
+ Revision: 86983
- new release
- new library major (libparted-1.8.so)
- ensure package can't build if the major is wrong
- force device-mapper (was the default)
- adapt patch10
- add /usr/include/multiarch-i386-linux/pci to file list (what's this?)
- Import parted



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.7.1-3mdv2007.0
- Rebuild

* Sat Aug 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix libification (libparted1.7 providing *.so.0 than *.so.1 lib...)

* Wed Aug  9 2006 Pixel <pixel@mandriva.com> 1.7.1-1mdv2007.0
- new release
- removed mac-swraid patch2 (added upstream)
- fix segfaults with dasd devices (patch3 from fedora)
- updated device-mapper patch (patch5 from fedora)
- use O_DIRECT to prevent first partition corruption on GPT disks (patch8 from fedora)
- add ped_exception_get_handler (patch9 from fedora)

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-4mdv2007.0
- fix another missing buildrequires

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-3mdv2007.0
- fix buildrequires
- force aclocal version
- be sure to wipe out buildroot before installing

* Mon May 29 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2007.0
- fix build (don't remove non existent %%_infodir/dir)
- mkrel

* Tue May 23 2006 Pixel <pixel@mandriva.com> 1.7.0-1mdk
- new release
- include patches from fedora
- use aclocal & autoconf for patch5 (libdevicemapper)
- doc/FAQ is no more

* Wed Dec 28 2005 Pixel <pixel@mandriva.com> 1.6.25.1-1mdk
- new release

* Thu Sep 22 2005 Pixel <pixel@mandriva.com> 1.6.24-1mdk
- new release

* Fri Jul 15 2005 Erwan Velu <velu@seanodes.com> 1.6.23-1mdk
- 1.6.23

* Thu Feb  3 2005 Pixel <pixel@mandrakesoft.com> 1.6.21-1mdk
- new release
- removing oldsundisk patch (mostly included upstream)

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-2mdk
- rebuild for new readline

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-1mdk
- 1.6.20

* Thu Dec  2 2004 Pixel <pixel@mandrakesoft.com> 1.6.19-1mdk
- new release

* Wed Nov 10 2004 Pixel <pixel@mandrakesoft.com> 1.6.16-1mdk
- new release
- update oldsun patch (hopefull it still works...)

* Wed Jul 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-2mdk
- fix sparc RAID (P0 from aurora)
- fix disk identification for old sun disks (P1 from aurora)

* Mon May 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-1mdk
- 1.6.11
- use libtoolize again

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.10-1mdk
- 1.6.10

* Thu Aug 14 2003 Pixel <pixel@mandrakesoft.com> 1.6.6-2mdk
- remove manpage /usr/share/man/pt_BR/man8/* 
  (since i don't want to %%lang it, find_lang should find it, no?)

* Wed Jul 30 2003 Pixel <pixel@mandrakesoft.com> 1.6.6-1mdk
- new release

* Thu Jul 24 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.5-3mdk
- disable -Werror to make it build
- more macros

* Wed Apr  2 2003 Pixel <pixel@mandrakesoft.com> 1.6.5-2mdk
- use %%mklibname

* Wed Apr  2 2003 Pixel <pixel@mandrakesoft.com> 1.6.5-1mdk
- new release

* Sat Dec 28 2002 Pixel <pixel@mandrakesoft.com> 1.6.4-1mdk
- new release
- don't call automake
- add .info
- add parted.m4 and *.la in -devel

* Mon Aug 12 2002 Pixel <pixel@mandrakesoft.com> 1.6.3-1mdk
- new release

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.2-2mdk
- rebuild for new readline

* Sun Jul  7 2002 Pixel <pixel@mandrakesoft.com> 1.6.2-1mdk
- new release

* Mon May 13 2002 Pixel <pixel@mandrakesoft.com> 1.6.1-1mdk
- new release
- new lib: libparted16

* Sat Jan 26 2002 Pixel <pixel@mandrakesoft.com> 1.4.24-1mdk
- new version

* Mon Jan 14 2002 Pixel <pixel@mandrakesoft.com> 1.4.23-1mdk
- new version

* Wed Nov 21 2001 Pixel <pixel@mandrakesoft.com> 1.4.21-1mdk
- rename libparted1.4 in libparted14 to please rpmlint
- use makeinstall_std
- new version

* Thu Oct 18 2001 Pixel <pixel@mandrakesoft.com> 1.4.20-2mdk
- add some docs, remove empty docs

* Sun Oct 14 2001 Pixel <pixel@mandrakesoft.com> 1.4.20-1mdk
- new version

* Fri Aug  3 2001 Pixel <pixel@mandrakesoft.com> 1.4.17-1mdk
- at last a library major version
- new version

* Mon Jul  2 2001 Pixel <pixel@mandrakesoft.com> 1.4.13-2mdk
- move *.mo's to parted away from libparted

* Sun May 27 2001 Pixel <pixel@mandrakesoft.com> 1.4.13-1mdk
- new version

* Tue May 22 2001 Pixel <pixel@mandrakesoft.com> 1.4.12-1mdk
- new version

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.11-1mdk
- new release

* Sat Mar 17 2001 Pixel <pixel@mandrakesoft.com> 1.4.10-1mdk
- new version

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.9-1mdk
- 1.4.9 hot from the oven.

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.8-1mdk
- new and shiny source.

* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Dec 28 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-1mdk
- new version

* Mon Dec  4 2000 Pixel <pixel@mandrakesoft.com> 1.4.4-2mdk
- add obsoletes & provides parted-devel

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.4-1mdk
- new and shiny source.

* Thu Nov 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.1-2mdk
- move library to its own package  (libization)

* Wed Nov 15 2000 Pixel <pixel@mandrakesoft.com> 1.4.1-1mdk
- new version

* Mon Nov 13 2000 Pixel <pixel@mandrakesoft.com> 1.4.0-1mdk
- new version

* Sun Nov 12 2000 Pixel <pixel@mandrakesoft.com> 1.2.13-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 1.2.12-2mdk
- capitalize summaries

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 1.2.12-1mdk
- new version

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 1.2.11-1mdk
- new version

* Sun Oct 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.10-1mdk
- new version

* Sun Sep 10 2000 Pixel <pixel@mandrakesoft.com> 1.2.9-1mdk
- new version

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.8-1mdk
- a new and shiny version.

* Wed Aug 16 2000 Pixel <pixel@mandrakesoft.com> 1.2.7-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.6-3mdk
- automatically added BuildRequires

* Fri Aug  4 2000 Pixel <pixel@mandrakesoft.com> 1.2.6-2mdk
- use find_lang

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.6-1mdk
- new release

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-3mdk
- move .so to -devel

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-2mdk
- use *all* new macros
- BM

* Tue Jul 18 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-1mdk
- new version

* Sat Jul 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-1mdk
- new version

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release
- use new macros
- add postun ldconfig (pixel sucks)

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2 (bug fixes release)
- add ldconfig in postinst (pxlscks)
- move libparted.so link to parted since parted need it (only keep lib*.a in
  parted-devel package) (pxlscks)

* Thu Jun 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.1-1mdk
- new version

* Thu Jun  8 2000 Pixel <pixel@mandrakesoft.com> 1.0.17-4mdk
- new version (and add missing changelog, sorry for not resetting release, too late)

* Tue May 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.0.13-3mdk
- requires parted for parted-devel or you can't link anything!

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.13-2mdk

- Changed group for parted-devel
- Removed .po instal hack, looks like the Makefile is up to the task again -
  good.

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.0.13-1mdk
- new version

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0.12-1mdk
- new version

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 1.0.11-1mdk
- new version

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.10-3mdk

- Don't use prefix, too many headaches
- Some spec file changes
- Changed group according to 7.1 hierarchy (the package wasn't in the list)
- Let spec-helper do its job

* Tue Feb 29 2000 Pixel <pixel@mandrakesoft.com> 1.0.10-1mdk
- new version

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-2mdk
- bzip man page
- remove vendor tag

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-1mdk
- new version

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used a great srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Rebuilt for Mandrake
- 1.0.8

* Mon Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.7-2]
- made ped_device_seek() a bit more portable
- changed type of PedDevice's heads, sector, cyl fields to int's.
- added a man page, contributed by Timshel Knoll <timshel@pobox.com>

* Thu Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.6-2]
- fixed >16gig bug in libparted/disk_dos.c  (need LE32, not LE16!!!)

* Tue Jan 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.5-2]
- applied patch from Tim Waugh <twaugh@redhat.com>
- added autoconfuse checks up-to-date linux/ext2_fs.h
- imported new ext2_fs.h
- imported changes from ext2resize, to add support the ext2 "filetype"
  feature
- removed -Wno-sign-compare, because it breaks older gcc
- moved checks for termcap up before readline check, and get readline check
  to use the result of the termcap check.
- the "termcap" library can be now be one of: -ltermcap, -ltermlib, -lcurses,
  -lncurses.
- fixed buglet for FAT16 cluster entries
- fixed (hopefully) str_list_print_wrap()
- use static for do_* in parted/parted.c
- cleaned up parted.spec.in

  [parted-1.0.4-2]
- Fixed a silly bug in ped_partition_set_system() for extended partitions

* Tue Jan  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.3-2]
- Arrghh!  Found (and fixed) a VERY nasty bug during partition table writes.

  [parted-1.0.2-1]
- Arrghh!  Found (and fixed) a nasty bug in the string printing code.

  [parted-1.0.1-1]
- added some documentation about --without-readline and --disable-nls
